aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorOmar Polo <op@omarpolo.com>2024-08-03 10:07:49 +0000
committerOmar Polo <op@omarpolo.com>2024-08-03 10:07:49 +0000
commita4e20d48574f823ff7cd3d7955504dcf5dae9316 (patch)
tree3cc4e776510374fec4e4e42f7c23aa596183ecc4
parent6171e74111f93e1948672f9bfb3ee38d447fb2d1 (diff)
regress: fix test_high_prefork()
we don't load the prefork dynamically, only the prefork at startup is honoured, so fix the test by stopping gmid so it is started with the right prefork.
-rw-r--r--regress/tests.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/regress/tests.sh b/regress/tests.sh
index 7648278..8eafabb 100644
--- a/regress/tests.sh
+++ b/regress/tests.sh
@@ -523,8 +523,13 @@ test_ipv6_server() {
}
test_high_prefork() {
+ kill "$(cat gmid.pid)" 2>/dev/null || true
+
setup_simple_test 'prefork 12'
fetch /
check_reply "20 text/gemini" "# hello world" || return 1
+
+ dont_check_server_alive=yes
+ kill "$(cat gmid.pid)" 2>/dev/null || true
}